package com.dayou.service;
import com.dayou.dto.SectionTitleDTO;
import com.dayou.entity.ReportMain;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.ReportMainVO;
import com.dayou.vo.ReportSectionTreeVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 报告主表 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-08-29
 */
public interface IReportMainService extends IService<ReportMain> {

        Page<ReportMainVO> selectPage(Page page, ReportMainVO reportMain);

        ReportMainVO detail(Long id);

        Boolean add(ReportMain reportMain);

        Boolean update(ReportMain reportMain);

        Boolean delete(Long id);

    List<SectionTitleDTO> getReportMainSection(Long reportId);

    Boolean generateReport(Long id) throws Exception;

    Boolean updateNouns(ReportMainVO reportMain);

    List<ReportSectionTreeVO> getReportHeadlineTree(Long id);
}
